Author Topic: The 31 august 2007 build (4418) is out.  (Read 17391 times)

Offline Solarus

  • Single posting newcomer
  • *
  • Posts: 4
Re: The 31 august 2007 build (4418) is out.
« Reply #15 on: September 02, 2007, 11:06:45 pm »
I have a bug with the SVN 4418 version and Ubuntu 7.04 Feisty.

I have installed the .deb packages and when I launch the program it freezes.

When i launch it in a console i get this message

(codeblocks:13633): Gtk-CRITICAL **: gtk_window_realize_icon: assertion `info->icon_pixmap == NULL' failed

I don't know what to do , but if it can help you improving Code:Blocks ;)

Offline dje

  • Lives here!
  • ****
  • Posts: 683
Re: The 31 august 2007 build (4418) is out.
« Reply #16 on: September 02, 2007, 11:12:32 pm »
Hi !

Are you sure your wxWidgets version is 2.8.4 ?

Dje

Offline kennyshell

  • Single posting newcomer
  • *
  • Posts: 4
Re: The 31 august 2007 build (4418) is out.
« Reply #17 on: September 02, 2007, 11:58:46 pm »
Quote
Is it possible for you to install manualy the package provide on Berlios http://prdownload.berlios.de/codeblocks/CB_20070831_rev4418_Ubuntu6.10+7.04_wx2.8.4.tar.gz to confirm that the problem come my the package

Best regards,

Pascal

That one works for me fine... on the other hand, automatic update to 4421 is shows the same behavior. So I work with the Berlios package at the moment. Thanks for that.


Flex

Offline pasgui

  • Almost regular
  • **
  • Posts: 165
    • LGP
Re: The 31 august 2007 build (4418) is out.
« Reply #18 on: September 03, 2007, 01:24:13 am »
Quote
Is it possible for you to install manualy the package provide on Berlios http://prdownload.berlios.de/codeblocks/CB_20070831_rev4418_Ubuntu6.10+7.04_wx2.8.4.tar.gz to confirm that the problem come my the package

Best regards,

Pascal

That one works for me fine... on the other hand, automatic update to 4421 is shows the same behavior. So I work with the Berlios package at the moment. Thanks for that.


Flex

From which repository did you install wxWidgets ?

BR,

pasgui

Offline dje

  • Lives here!
  • ****
  • Posts: 683
Re: The 31 august 2007 build (4418) is out.
« Reply #19 on: September 03, 2007, 09:41:52 am »
Hi Pasgui !

There is an interesting page in the wiki.
The Alternate wxWidgets repository works perfectly for me.

Dje

Offline Solarus

  • Single posting newcomer
  • *
  • Posts: 4
Re: The 31 august 2007 build (4418) is out.
« Reply #20 on: September 03, 2007, 11:49:29 am »
Are you sure your wxWidgets version is 2.8.4 ?
Following the previous link "Alternate wxWidgets repository" , i have upgraded the wx librairies and that works properly. Thanks a lot :)
« Last Edit: September 03, 2007, 12:00:41 pm by Solarus »

Offline kennyshell

  • Single posting newcomer
  • *
  • Posts: 4
Re: The 31 august 2007 build (4418) is out.
« Reply #21 on: September 03, 2007, 12:28:12 pm »
Hmm, waht did I find here:

/etc/apt/sources.list:
...
## Sources for wxWidgets wxGTK
deb http://apt.tt-solutions.com/debian/ feisty main
...

replaced it with
deb http://apt.tt-solutions.com/ubuntu/ feisty main


according the page from teh previous post.


Well, the problem is now, that I got lost in all these updates, reinstalls and changes. Fact is, I HAD a running Code::Blocks, with
Code: [Select]
deb http://apt.tt-solutions.com/debian/ feisty main, but now I broke it again, by changing it to the Ubuntu source.

I guess, I should now update my Code::Blocks from teh normal server, instead of teh Berlios one...but my girlfriend just got home. Sorry, may be back online later tonight.

Flex


Offline pasgui

  • Almost regular
  • **
  • Posts: 165
    • LGP
Re: The 31 august 2007 build (4418) is out.
« Reply #22 on: September 03, 2007, 01:06:34 pm »
Hmm, waht did I find here:

/etc/apt/sources.list:
...
## Sources for wxWidgets wxGTK
deb http://apt.tt-solutions.com/debian/ feisty main
...

replaced it with
deb http://apt.tt-solutions.com/ubuntu/ feisty main


according the page from teh previous post.


Well, the problem is now, that I got lost in all these updates, reinstalls and changes. Fact is, I HAD a running Code::Blocks, with
Code: [Select]
deb http://apt.tt-solutions.com/debian/ feisty main, but now I broke it again, by changing it to the Ubuntu source.

I guess, I should now update my Code::Blocks from teh normal server, instead of teh Berlios one...but my girlfriend just got home. Sorry, may be back online later tonight.

Flex


Hi,

The ubuntu package on LGP are compiled with the Alternative repository (thanks dje to remember). See http://wiki.codeblocks.org/index.php?title=Installing_Code::Blocks_nightly_build_on_Ubuntu.

Best regards,

pasgui
« Last Edit: September 03, 2007, 01:08:30 pm by pasgui »